<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myUnitPreparationLabel" jhiTranslate="mpmApp.unitPreparation.home.createOrEditLabel">Create or edit a Unit Preparation</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="card-deck" style="margin: 10px;">
        <div class="card">
			<div class="card-body">
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!unitPreparation.idSlip">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" [(ngModel)]="unitPreparation.idSlip" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitPreparation.dateCreate" for="field_dateCreate">Date Create</label>
                    <div class="input-group">
                        <p-calendar inputId="field_dateCreate" name="input_dateCreate" [(ngModel)]="unitPreparation.dateCreate"
                            dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                            [showIcon]="true"></p-calendar>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitPreparation.slipNumber" for="field_slipNumber">Slip Number</label>
                    <input type="text" class="form-control" name="slipNumber" id="field_slipNumber"
                        [(ngModel)]="unitPreparation.slipNumber" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitPreparation.userMekanik" for="field_userMekanik">User Mekanik</label>
                    <input type="text" class="form-control" name="userMekanik" id="field_userMekanik"
                        [(ngModel)]="unitPreparation.userMekanik" />
                </div>

                <div class="form-group" *ngIf="idShipTo === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitPreparation.shipTo" for="field_shipTo">Ship To</label>
                    <select class="form-control" id="field_shipTo" name="shipTo" [(ngModel)]="unitPreparation.shipToId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="shipToOption.idShipTo" *ngFor="let shipToOption of shiptos; trackBy: trackShipToById">{{shipToOption.name}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idInternal === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitPreparation.internal" for="field_internal">Internal</label>
                    <select class="form-control" id="field_internal" name="internal" [(ngModel)]="unitPreparation.internalId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="internalOption.idInternal" *ngFor="let internalOption of internals; trackBy: trackInternalById">{{internalOption.name}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idFacility === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitPreparation.facility" for="field_facility">Facility</label>
                    <select class="form-control" id="field_facility" name="facility" [(ngModel)]="unitPreparation.facilityId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="facilityOption.idFacility" *ngFor="let facilityOption of facilities; trackBy: trackFacilityById">{{facilityOption.description}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idInventoryItem === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitPreparation.inventoryItem" for="field_inventoryItem">Inventory Item</label>
                    <select class="form-control" id="field_inventoryItem" name="inventoryItem" [(ngModel)]="unitPreparation.inventoryItemId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="inventoryItemOption.idInventoryItem" *ngFor="let inventoryItemOption of inventoryitems; trackBy: trackInventoryItemById">{{inventoryItemOption.id}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idOrderItem === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitPreparation.orderItem" for="field_orderItem">Order Item</label>
                    <select class="form-control" id="field_orderItem" name="orderItem" [(ngModel)]="unitPreparation.orderItemId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="orderItemOption.idOrderItem" *ngFor="let orderItemOption of orderitems; trackBy: trackOrderItemById">{{orderItemOption.id}}</option>
                    </select>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
